Raspberry Pi OpenGL and 0.11

Questions about the LÖVE API, installing LÖVE and other support related questions go here.
Forum rules
Before you make a thread asking for help, read this.
Post Reply
MachineCode
Citizen
Posts: 61
Joined: Fri Jun 20, 2014 1:33 pm

Raspberry Pi OpenGL and 0.11

Post by MachineCode » Mon Mar 12, 2018 4:38 am

One of the great things about 0.10.2 is how well it runs on a Raspberry Pi 3 with the OpenGL driver. I haven't found anything different from a normal Ubuntu or Mint x86 installation. 60fps is normal as long as you don't do ridiculous things. In fact, I have been using Raspberry Pi 3 as speed test for graphics software, under the assumption that if it works on RPi then it will work one pretty much any platform.

The OpenGL is 2.1 and it has some omissions. Shader support and cube maps don't seem to be fully implimented - as indicated by experimenting with Raylib.

Will 0.11 work with OpenGL 2.1?

User avatar
slime
Solid Snayke
Posts: 2763
Joined: Mon Aug 23, 2010 6:45 am
Location: Nova Scotia, Canada
Contact:

Re: Raspberry Pi OpenGL and 0.11

Post by slime » Mon Mar 12, 2018 11:08 am

love 0.11 has the same minimum OpenGL requirements as 0.10 – it works with either OpenGL 2.1 or OpenGL ES 2.0.

MachineCode
Citizen
Posts: 61
Joined: Fri Jun 20, 2014 1:33 pm

Re: Raspberry Pi OpenGL and 0.11

Post by MachineCode » Mon Mar 12, 2018 2:30 pm

OK thanks. That is good news.

Post Reply

Who is online

Users browsing this forum: No registered users and 10 guests